Agents
Get the agent's OAuth2 client
The authenticated agent’s OAuth2 client for Log in with Relay, the
OpenID Connect provider at Relay’s auth server. The client ID is the
agent’s ID. A read never makes the client and never shows its secret;
404 until it is created. Scopes are openid and profile always,
plus email and phone when turned on.
GET
/
v1
/
oauth2_client
Get the agent's OAuth2 client
curl --request GET \
--url https://api.relayapp.im/v1/oauth2_client \
--header 'Authorization: Bearer <token>'{
"client": {
"client_id": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"openid"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"client_secret": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}Authorizations
⌘I
Get the agent's OAuth2 client
curl --request GET \
--url https://api.relayapp.im/v1/oauth2_client \
--header 'Authorization: Bearer <token>'{
"client": {
"client_id": "<string>",
"redirect_uris": [
"<string>"
],
"scopes": [
"openid"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"client_secret": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}{
"error": {
"status": 123,
"code": 123,
"message": "<string>",
"doc_url": "<string>",
"retry_after": 123
},
"success": true,
"trace_id": "<string>"
}
